//***************************************************************************
// Project:   MDT Wizard Editor
// File:      ChooseType.cs
// Purpose:   Display a simple dialog for choosing the type of item to add.
//
// Version:   3.0.1
//
// Change history:
// 1.0.1  mniehaus  06/25/2008  Cleaned up and commented code for external
//                              release.
// 2.0.0  mniehaus  10/11/2009  Fixed FXCop warnings.
//
// 3.0.0 mkoster    11/21/2012  Updated for MDT 2012. 
//
//***************************************************************************

using System;
using System.Windows.Forms;

namespace MDTWizardStudio
{
    /// <summary>
    /// The ChooseType form is used to specify the type of object that should be created.  This form is used by the
    /// main form.
    /// </summary>
    public partial class ChooseType : Form
    {
        /// <summary>
        /// Default constructor (used by designer)
        /// </summary>
        public ChooseType()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Constructor (used by MainForm)
        /// </summary>
        /// <param name="nodeType">The node type currently selected (used to restrict the types presented)</param>
        public ChooseType(String nodeType)
        {
            InitializeComponent();

            if (nodeType == "Global")
            {
                cbTypeToAdd.Items.Clear();
                cbTypeToAdd.Items.Add("CustomScript");
                cbTypeToAdd.Items.Add("Initialization");
                cbTypeToAdd.Items.Add("Validation");
                cbTypeToAdd.Items.Add("CustomStatement");
   }
            else
            {
                cbTypeToAdd.Items.Clear();
                cbTypeToAdd.Items.Add("CustomScript");
                cbTypeToAdd.Items.Add("Initialization");
                cbTypeToAdd.Items.Add("InitializationCloseout");
                cbTypeToAdd.Items.Add("Validation");
                cbTypeToAdd.Items.Add("Condition");
                cbTypeToAdd.Items.Add("ButtonNext");
                cbTypeToAdd.Items.Add("ButtonCancel");
                cbTypeToAdd.Items.Add("ButtonPrev");
            }
        }

        /// <summary>
        /// The SelectedType property returns the type value chosen from the drop-down list.
        /// </summary>
        public String SelectedType
        {
            get
            {
                return cbTypeToAdd.SelectedItem.ToString();
            }
        }

    }
}